Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.projectapi/1 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.project
Interface DeleteOperationImplementation

All Superinterfaces:
  DataFilesProviderImplementation

    public interface DeleteOperationImplementation

extends DataFilesProviderImplementation

Project Delete Operation. Allows to gather information necessary for project delete and also provides callbacks to the project type to handle special checkpoints during the delete. An implementation of this interface may be registered in the project's lookup to support delete operation in the following cases:

- The project type wants to use the `org.netbeans.spi.project.ui.support.DefaultProjectOperationsImplementation` to perform the delete operation.
- If this project may be part of of a compound project (like EJB project is a part of a J2EE project), and the compound project wants to delete all the sub-projects.

The project type is not required to put an implementation of this interface into the project's lookup if the above two cases should not be supported.

Since:
  1.7

Method Summary
`void` | `notifyDeleted()` Notification that the delete operation has finished.
`void` | `notifyDeleting()` Pre-delete notification.

Methods inherited from interface org.netbeans.spi.project.DataFilesProviderImplementation
`getDataFiles, getMetadataFiles`

Method Detail

### notifyDeleting

    void notifyDeleting()
                        throws IOException

  Pre-delete notification. The exact meaning is left on the project implementors, but typically this means to undeloy the application and remove all artifacts created by the build project.

  Throws:
    `IOException` - if an I/O operation fails.

### notifyDeleted

    void notifyDeleted()
                       throws IOException

  Notification that the delete operation has finished. Is supposed to perform final cleanup and to call `ProjectState.notifyDeleted()`.

  Throws:
    `IOException` - if an I/O operation fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.projectapi/1 1.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.